# Time_Value.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/os_include/os_time.h"`
`#include "ace/Basic_Types.h"`
`#include "ace/Time_Value.inl"`

Include dependency graph for Time_Value.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Time_Value
| Operations on "timeval" structures, which express time in seconds (secs) and microseconds (usecs). More...

## Defines

#define | ACE_ONE_SECOND_IN_MSECS 1000L
#define | ACE_ONE_SECOND_IN_USECS 1000000L
#define | ACE_ONE_SECOND_IN_NSECS 1000000000L

## Detailed Description

Id
  Time_Value.h,v 4.59 2006/02/10 10:37:02 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_ONE_SECOND_IN_MSECS 1000L

#define ACE_ONE_SECOND_IN_NSECS 1000000000L

#define ACE_ONE_SECOND_IN_USECS 1000000L